summaryrefslogtreecommitdiffstats
diff options
context:
space:
mode:
-rw-r--r--dist/archlinux/stable/.gitignore1
-rw-r--r--dist/archlinux/stable/PKGBUILD3
-rw-r--r--dist/archlinux/stable/blueshift.install20
3 files changed, 23 insertions, 1 deletions
diff --git a/dist/archlinux/stable/.gitignore b/dist/archlinux/stable/.gitignore
index 906310e..ee98f95 100644
--- a/dist/archlinux/stable/.gitignore
+++ b/dist/archlinux/stable/.gitignore
@@ -2,4 +2,5 @@
!/.git*
*~
!/PKGBUILD
+!/blueshift.install
diff --git a/dist/archlinux/stable/PKGBUILD b/dist/archlinux/stable/PKGBUILD
index d6653db..744f5a4 100644
--- a/dist/archlinux/stable/PKGBUILD
+++ b/dist/archlinux/stable/PKGBUILD
@@ -2,13 +2,14 @@
pkgname=blueshift
pkgver=1.1
-pkgrel=1
+pkgrel=2
pkgdesc="An extensible and highly configurable alternative to redshift"
arch=(i686 x86_64)
url="https://github.com/maandree/blueshift"
license=('AGPL3')
depends=(python3 libxcb argparser)
makedepends=(cython gcc python3 libxcb make coreutils sed zip)
+install=blueshift.install
source=($url/archive/$pkgver.tar.gz)
sha256sums=('3bd0dba02dea122d6982653054a87daea1ea3cfef6b08ccf3444e64d09a5fcbc')
diff --git a/dist/archlinux/stable/blueshift.install b/dist/archlinux/stable/blueshift.install
new file mode 100644
index 0000000..f7816a2
--- /dev/null
+++ b/dist/archlinux/stable/blueshift.install
@@ -0,0 +1,20 @@
+_file="blueshift"
+
+infodir="usr/share/info"
+file="${_file}.info"
+
+
+post_install() {
+ [[ -x "usr/bin/install-info" ]] || return 0
+ install-info -- "${infodir}/${file}" "${infodir}/dir" 2> /dev/null
+}
+
+post_upgrade() {
+ post_install "$1"
+}
+
+pre_remove() {
+ [[ -x "usr/bin/install-info" ]] || return 0
+ install-info --delete -- "${infodir}/${file}" "${infodir}/dir" 2> /dev/null
+}
+